%define major   7
%define libname %mklibname pgf %{major}
%define devname %mklibname pgf -d

Name:           libpgf
Version:        7.21.7
Release:        %mkrel 1
Summary:        Progressive Graphics File Library
License:        LGPL-2.1-or-later
Group:          Graphics/Utilities
URL:            https://libpgf.org/
Source0:        https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/libpgf.zip

BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  graphviz
BuildRequires:  libtool
BuildRequires:  unzip

%description
libpgf is a library for working with PGF (Progresive Graphics File) images.

%package -n %{libname}
Summary:        Progressive Graphics File (PGF) Library
Group:          System/Libraries

%description -n %{libname}
libpgf is a library for working with PGF (Progresive Graphics File) images.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       pgf-devel = %{version}-%{release}

%description -n %{devname}
This package contains header files and libraries needed for developing programs
using the libpgf library.

%prep
%autosetup -n %{name}

mv README.txt README

# Fix "wrong-file-end-of-line-encoding"
sed -i -e 's/\r//' configure.ac Makefile.am src/Makefile.am autogen.sh README

sed -i 's|$(DESTDIR)$(datadir)/doc/$(DOC_MODULE)|$(RPM_BUILD_DIR)/libpgf|g' doc/Makefile.am

# Add "libpgf-" prefix to all man pages to prevent conflicts with other packages
sed -i 's/\$(mandir)\/man3\/\$\$f/\$(mandir)\/man3\/libpgf-\$\$f/' doc/Makefile.am

# Remove build time references so build-compare can do its work
echo "HTML_TIMESTAMP = NO" >> doc/Doxyfile.in

%build
sh autogen.sh
%configure --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%license COPYING
%{_libdir}/libpgf.so.%{major}{,.*}

%files -n %{devname}
%doc README html/
%license COPYING
%{_includedir}/libpgf/
%{_libdir}/libpgf.so
%{_libdir}/pkgconfig/libpgf.pc
%{_mandir}/man3/libpgf-*.3*


%changelog
* Wed Nov 08 2023 daviddavid <daviddavid> 7.21.7-1.mga10
+ Revision: 2005215
- initial package libpgf

